aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-21 20:37:14 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-23 16:16:26 +0100
commiteba77581621cdd11e890e54cc52456b28e1e7023 (patch)
tree6fe4cf8e76d41cdd4605b0b20ecaf885c2bb42a6
parent3150704bd7b499d3a040efa02487ff5be83e8bbd (diff)
downloadpaludis-eba77581621cdd11e890e54cc52456b28e1e7023.tar.gz
paludis-eba77581621cdd11e890e54cc52456b28e1e7023.tar.xz
P -> PNV and PF -> PNVR for exheres.
-rw-r--r--hooks/demos/elog.bash.in8
-rw-r--r--paludis/ndbam_merger.cc2
-rw-r--r--paludis/ndbam_unmerger.cc2
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_setup.sh40
-rw-r--r--paludis/repositories/e/eapi.cc2
-rw-r--r--paludis/repositories/e/eapi.hh4
-rw-r--r--paludis/repositories/e/eapis/0.conf2
-rw-r--r--paludis/repositories/e/eapis/exheres-0.conf6
-rw-r--r--paludis/repositories/e/eapis/paludis-1.conf2
-rw-r--r--paludis/repositories/e/ebuild.cc14
-rw-r--r--paludis/repositories/e/ebuild/die_functions.bash2
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash22
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash14
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash9
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash10
-rw-r--r--paludis/repositories/e/ebuild/install_functions.bash4
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dodoc2
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dohtml2
-rw-r--r--paludis/repositories/e/fetch_visitor.cc4
-rw-r--r--paludis/repositories/e/vdb_merger.cc2
-rw-r--r--paludis/repositories/e/vdb_unmerger.cc2
27 files changed, 119 insertions, 88 deletions
diff --git a/hooks/demos/elog.bash.in b/hooks/demos/elog.bash.in
index ab8f117..3819d78 100644
--- a/hooks/demos/elog.bash.in
+++ b/hooks/demos/elog.bash.in
@@ -30,19 +30,19 @@ logfile="${PALUDIS_HOOKS_TMPDIR:-${ROOT}/var/tmp/paludis}/elog.${PALUDIS_PID}"
case "${HOOK}" in
elog)
- echo "L ${CATEGORY}/${PF} ${MESSAGE}" >> "${logfile}"
+ echo "L ${CATEGORY}/${!PALUDIS_NAME_VERSION_REVISION_VAR} ${MESSAGE}" >> "${logfile}"
;;
einfo)
- echo "I ${CATEGORY}/${PF} ${MESSAGE}" >> "${logfile}"
+ echo "I ${CATEGORY}/${!PALUDIS_NAME_VERSION_REVISION_VAR} ${MESSAGE}" >> "${logfile}"
;;
ewarn)
- echo "W ${CATEGORY}/${PF} ${MESSAGE}" >> "${logfile}"
+ echo "W ${CATEGORY}/${!PALUDIS_NAME_VERSION_REVISION_VAR} ${MESSAGE}" >> "${logfile}"
;;
eerror)
- echo "E ${CATEGORY}/${PF} ${MESSAGE}" >> "${logfile}"
+ echo "E ${CATEGORY}/${!PALUDIS_NAME_VERSION_REVISION_VAR} ${MESSAGE}" >> "${logfile}"
;;
install_task_execute_pre|install_all_pre|uninstall_all_pre)
diff --git a/paludis/ndbam_merger.cc b/paludis/ndbam_merger.cc
index 161f804..a689d45 100644
--- a/paludis/ndbam_merger.cc
+++ b/paludis/ndbam_merger.cc
@@ -97,12 +97,14 @@ NDBAMMerger::extend_hook(const Hook & h)
return Merger::extend_hook(h)
("P", pn + "-" + pv)
+ ("PNV", pn + "-" + pv)
("PN", pn)
("CATEGORY", cat)
("PR", _imp->params.package_id()->version().revision_only())
("PV", pv)
("PVR", pvr)
("PF", pn + "-" + pvr)
+ ("PNVR", pn + "-" + pvr)
("SLOT", slot)
("CONFIG_PROTECT", _imp->params.config_protect())
("CONFIG_PROTECT_MASK", _imp->params.config_protect_mask())
diff --git a/paludis/ndbam_unmerger.cc b/paludis/ndbam_unmerger.cc
index 851b9d2..29d7e9d 100644
--- a/paludis/ndbam_unmerger.cc
+++ b/paludis/ndbam_unmerger.cc
@@ -134,12 +134,14 @@ NDBAMUnmerger::extend_hook(const Hook & h) const
return result
("P", pn + "-" + pv)
+ ("PNV", pn + "-" + pv)
("PN", pn)
("CATEGORY", cat)
("PR", _imp->options.package_id()->version().revision_only())
("PV", pv)
("PVR", pvr)
("PF", pn + "-" + pvr)
+ ("PNVR", pn + "-" + pvr)
("SLOT", stringify(_imp->options.package_id()->slot()));
}
diff --git a/paludis/repositories/e/e_repository_TEST_setup.sh b/paludis/repositories/e/e_repository_TEST_setup.sh
index 1ceb2d1..462e858 100755
--- a/paludis/repositories/e/e_repository_TEST_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_setup.sh
@@ -1364,7 +1364,7 @@ src_unpack() {
}
src_prepare() {
- expatch "${FETCHEDDIR}"/${P}.patch
+ expatch "${FETCHEDDIR}"/${PNV}.patch
}
END
mkdir -p "packages/cat/expatch-die"
@@ -2017,26 +2017,26 @@ LICENCES="GPL-2"
PLATFORMS="test"
src_compile() {
- echo \${PF} >foo.1
+ echo \${PNVR} >foo.1
mkdir dir
- echo \${PF} >dir/foo.2
- echo \${PF} >foo.3x
- echo \${PF} >foo.4.gz
- echo \${PF} >foo.5f.bz2
- echo \${PF} >foo.6.Z
- echo \${PF} >foo.en.7
- echo \${PF} >foo.en_GB.8
- echo \${PF} >foo.e.9
- echo \${PF} >foo.enn.n
- echo \${PF} >foo.EN.1
- echo \${PF} >foo.en-GB.2
- echo \${PF} >foo.en_gb.3
- echo \${PF} >foo.en_G.4
- echo \${PF} >foo.en_GBB.5
- echo \${PF} >foo.nonkey
+ echo \${PNVR} >dir/foo.2
+ echo \${PNVR} >foo.3x
+ echo \${PNVR} >foo.4.gz
+ echo \${PNVR} >foo.5f.bz2
+ echo \${PNVR} >foo.6.Z
+ echo \${PNVR} >foo.en.7
+ echo \${PNVR} >foo.en_GB.8
+ echo \${PNVR} >foo.e.9
+ echo \${PNVR} >foo.enn.n
+ echo \${PNVR} >foo.EN.1
+ echo \${PNVR} >foo.en-GB.2
+ echo \${PNVR} >foo.en_gb.3
+ echo \${PNVR} >foo.en_G.4
+ echo \${PNVR} >foo.en_GBB.5
+ echo \${PNVR} >foo.nonkey
touch foo.1x
- echo \${PF} >baz.6
- echo \${PF} >baz.en_US.7
+ echo \${PNVR} >baz.6
+ echo \${PNVR} >baz.en_US.7
}
src_install() {
@@ -2064,7 +2064,7 @@ LICENCES="GPL-2"
PLATFORMS="test"
src_compile() {
- echo \${PF} >bar.m
+ echo \${PNVR} >bar.m
}
src_install() {
diff --git a/paludis/repositories/e/eapi.cc b/paludis/repositories/e/eapi.cc
index 3bd3f97..3065dde 100644
--- a/paludis/repositories/e/eapi.cc
+++ b/paludis/repositories/e/eapi.cc
@@ -78,6 +78,8 @@ namespace
value_for<n::env_d>(check_get(k, "env_d")),
value_for<n::env_distdir>(check_get(k, "env_distdir")),
value_for<n::env_kv>(check_get(k, "env_kv")),
+ value_for<n::env_p>(check_get(k, "env_p")),
+ value_for<n::env_pf>(check_get(k, "env_pf")),
value_for<n::env_portdir>(check_get(k, "env_portdir")),
value_for<n::env_t>(check_get(k, "env_t")),
value_for<n::env_use>(check_get(k, "env_use")),
diff --git a/paludis/repositories/e/eapi.hh b/paludis/repositories/e/eapi.hh
index dd8bb11..4fc8f77 100644
--- a/paludis/repositories/e/eapi.hh
+++ b/paludis/repositories/e/eapi.hh
@@ -76,6 +76,8 @@ namespace paludis
struct env_d;
struct env_distdir;
struct env_kv;
+ struct env_p;
+ struct env_pf;
struct env_portdir;
struct env_t;
struct env_use;
@@ -231,6 +233,8 @@ namespace paludis
NamedValue<n::env_d, std::string> env_d;
NamedValue<n::env_distdir, std::string> env_distdir;
NamedValue<n::env_kv, std::string> env_kv;
+ NamedValue<n::env_p, std::string> env_p;
+ NamedValue<n::env_pf, std::string> env_pf;
NamedValue<n::env_portdir, std::string> env_portdir;
NamedValue<n::env_t, std::string> env_t;
NamedValue<n::env_use, std::string> env_use;
diff --git a/paludis/repositories/e/eapis/0.conf b/paludis/repositories/e/eapis/0.conf
index 7d3bda5..2e4ce29 100644
--- a/paludis/repositories/e/eapis/0.conf
+++ b/paludis/repositories/e/eapis/0.conf
@@ -209,6 +209,8 @@ env_portdir = PORTDIR
env_distdir = DISTDIR
env_d = D
env_t = T
+env_p = P
+env_pf = PF
dependency_labels =
diff --git a/paludis/repositories/e/eapis/exheres-0.conf b/paludis/repositories/e/eapis/exheres-0.conf
index 1dd9d80..478433e 100644
--- a/paludis/repositories/e/eapis/exheres-0.conf
+++ b/paludis/repositories/e/eapis/exheres-0.conf
@@ -26,7 +26,7 @@ ignore_pivot_env_variables =
vdb_from_env_variables = \
CATEGORY CHOST DEPENDENCIES SUMMARY EAPI \
- HOMEPAGE INHERITED MYOPTIONS PLATFORMS LICENCES PF \
+ HOMEPAGE INHERITED MYOPTIONS PLATFORMS LICENCES PNVR \
SLOT SOURCES OPTIONS CONFIG_PROTECT CONFIG_PROTECT_MASK \
VDB_FORMAT PKGMANAGER SUBOPTIONS
@@ -45,7 +45,7 @@ binary_from_env_variables = \
SUMMARY BUGS_TO REMOTE_IDS UPSTREAM_CHANGELOG UPSTREAM_RELEASE_NOTES UPSTREAM_DOCUMENTATION
non_empty_variables = \
- P PV PR PN PVR PF CATEGORY build:FILESDIR build:EXLIBSDIRS build:FETCHEDDIR build:REPODIR \
+ PNV PV PR PN PVR PNVR CATEGORY build:FILESDIR build:EXLIBSDIRS build:FETCHEDDIR build:REPODIR \
PALUDIS_TMPDIR PALUDIS_EBUILD_LOG_LEVEL PALUDIS_EBUILD_DIR \
PALUDIS_COMMAND ROOT
@@ -228,6 +228,8 @@ env_portdir = REPODIR
env_distdir = FETCHEDDIR
env_d = IMAGE
env_t = TEMP
+env_p = PNV
+env_pf = PNVR
uri_labels = \
default = URIListedThenMirrorsLabel ; \
diff --git a/paludis/repositories/e/eapis/paludis-1.conf b/paludis/repositories/e/eapis/paludis-1.conf
index 159deb5..a2b22b6 100644
--- a/paludis/repositories/e/eapis/paludis-1.conf
+++ b/paludis/repositories/e/eapis/paludis-1.conf
@@ -215,6 +215,8 @@ env_portdir = PORTDIR
env_distdir = DISTDIR
env_d = D
env_t = T
+env_p = P
+env_pf = PF
uri_labels = \
default = URIListedThenMirrorsLabel ; \
diff --git a/paludis/repositories/e/ebuild.cc b/paludis/repositories/e/ebuild.cc
index a13d184..948b72c 100644
--- a/paludis/repositories/e/ebuild.cc
+++ b/paludis/repositories/e/ebuild.cc
@@ -110,14 +110,10 @@ EbuildCommand::operator() ()
std::tr1::shared_ptr<const FSEntrySequence> hook_dirs(params.environment()->hook_dirs());
cmd = extend_command(cmd
- .with_setenv("P", stringify(params.package_id()->name().package) + "-" +
- stringify(params.package_id()->version().remove_revision()))
.with_setenv("PV", stringify(params.package_id()->version().remove_revision()))
.with_setenv("PR", stringify(params.package_id()->version().revision_only()))
.with_setenv("PN", stringify(params.package_id()->name().package))
.with_setenv("PVR", stringify(params.package_id()->version()))
- .with_setenv("PF", stringify(params.package_id()->name().package) + "-" +
- stringify(params.package_id()->version()))
.with_setenv("CATEGORY", stringify(params.package_id()->name().category))
.with_setenv("REPOSITORY", stringify(params.package_id()->repository()->name()))
.with_setenv("FILESDIR", stringify(params.files_dir()))
@@ -194,6 +190,8 @@ EbuildCommand::operator() ()
params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_d())
.with_setenv("PALUDIS_TEMP_DIR_VAR",
params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_t())
+ .with_setenv("PALUDIS_NAME_VERSION_REVISION_VAR",
+ params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_pf())
.with_setenv("PALUDIS_PIPE_COMMANDS_SUPPORTED", "yes")
)
.with_setenv("SLOT", "")
@@ -208,6 +206,14 @@ EbuildCommand::operator() ()
if (! params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_distdir().empty())
cmd.with_setenv(params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_distdir(),
stringify(params.distdir()));
+ if (! params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_p().empty())
+ cmd.with_setenv(params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_p(),
+ stringify(params.package_id()->name().package) + "-" +
+ stringify(params.package_id()->version().remove_revision()));
+ if (! params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_pf().empty())
+ cmd.with_setenv(params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_pf(),
+ stringify(params.package_id()->name().package) + "-" +
+ stringify(params.package_id()->version()));
if (params.package_id()->eapi()->supported()->ebuild_options()->support_eclasses())
cmd
diff --git a/paludis/repositories/e/ebuild/die_functions.bash b/paludis/repositories/e/ebuild/die_functions.bash
index 4888a28..0491bcb 100644
--- a/paludis/repositories/e/ebuild/die_functions.bash
+++ b/paludis/repositories/e/ebuild/die_functions.bash
@@ -37,7 +37,7 @@ diefunc()
local func="$1" line="$2"
shift 2
echo 1>&2
- echo "!!! ERROR in ${CATEGORY:-?}/${PF:-?}:" 1>&2
+ echo "!!! ERROR in ${CATEGORY:-?}/${!PALUDIS_NAME_VERSION_REVISION_VAR:-?}:" 1>&2
echo "!!! In ${func:-?} at line ${line:-?}" 1>&2
echo "!!! ${*:-(no message provided)}" 1>&2
echo 1>&2
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index af97ee3..d3651be 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -277,7 +277,7 @@ ebuild_scrub_environment()
unset -v PALUDIS_CLIENT
unset -v PALUDIS_HOME PALUDIS_PID PALUDIS_PIPE_COMMAND_WRITE_FD PALUDIS_PIPE_COMMAND_READ_FD ROOT
- unset -v CATEGORY PN PV P PVR PF ${!LD_*}
+ unset -v CATEGORY PN PV P PNV PVR PF PNVR ${!LD_*}
unset -v ebuild EBUILD
unset -v $(
@@ -320,27 +320,27 @@ ebuild_load_environment()
"
if [[ "${PALUDIS_LOAD_ENVIRONMENT%.bz2}" != "${PALUDIS_LOAD_ENVIRONMENT}" ]] ; then
- echo bunzip2 \< "${PALUDIS_LOAD_ENVIRONMENT}" \> ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$ 1>&2
- bunzip2 < "${PALUDIS_LOAD_ENVIRONMENT}" > ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$ \
+ echo bunzip2 \< "${PALUDIS_LOAD_ENVIRONMENT}" \> ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$ 1>&2
+ bunzip2 < "${PALUDIS_LOAD_ENVIRONMENT}" > ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$ \
|| die "Can't extract ${PALUDIS_LOAD_ENVIRONMENT}"
else
- echo cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" \
+ echo cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" \
|| die "Can't copy ${PALUDIS_LOAD_ENVIRONMENT}"
fi
- echo ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" "$@" 1>&2
- ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" "$@" \
+ echo ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" "$@" 1>&2
+ ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" "$@" \
|| die "Can't load saved environment for cleaning"
- echo ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" \
+ echo ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" \
|| die "Can't load saved environment"
export PALUDIS_EXTRA_DIE_MESSAGE="${save_PALUDIS_EXTRA_DIE_MESSAGE}"
- echo rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$"
+ echo rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 91b5adf..6f50c5e 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -52,29 +52,29 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
fi
- export WORKBASE="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
+ export WORKBASE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/work"
mkdir -p "${WORKBASE}" || die "Couldn't create \$WORKBASE (\"${WORKBASE}\")"
declare -r WORKBASE="${WORKBASE}"
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
export TMPDIR="${TEMP}"
- export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
+ export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/image/"
export IMAGE="${IMAGE//+(\/)//}"
mkdir -p "${IMAGE}" || die "Couldn't create \$IMAGE (\"${IMAGE}\")"
declare -r IMAGE="${IMAGE}"
- export WORK="${WORKBASE}/${P}"
+ export WORK="${WORKBASE}/${PNV}"
if [[ "${EBUILD}" != "-" ]] ; then
ebuild_load_ebuild "${EBUILD}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
index e3d4886..2555f6b 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
@@ -52,14 +52,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
fi
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
index 29fe037..b4c591a 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
@@ -52,14 +52,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove previous work"
fi
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index 744531d..b1f5fb0 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -19,15 +19,15 @@
builtin_killold()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
index 90219f2..ccfe627 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
@@ -19,15 +19,15 @@
builtin_killoldmisc()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
index 26ea51d..19e8269 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
@@ -19,15 +19,16 @@
builtin_killoldrm()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
+ [[ -z "${PF}" && -z "${PNVR}" ]] && die "PF and PNVR both unset or empty"
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
index 6c2ea39..f6409c9 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
@@ -18,13 +18,13 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
index 8466353..c69e473 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
index e375788..243684d 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
@@ -18,13 +18,13 @@
builtin_tidyuprm()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/install_functions.bash b/paludis/repositories/e/ebuild/install_functions.bash
index 0f64974..20da58a 100644
--- a/paludis/repositories/e/ebuild/install_functions.bash
+++ b/paludis/repositories/e/ebuild/install_functions.bash
@@ -88,8 +88,8 @@ docinto()
export DOCDESTTREE=
else
export DOCDESTTREE="${1}"
- [[ -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}" ]] || \
- install -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}"
+ [[ -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}" ]] || \
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}"
fi
}
diff --git a/paludis/repositories/e/ebuild/utils/dodoc b/paludis/repositories/e/ebuild/utils/dodoc
index e6a0466..00b64de 100755
--- a/paludis/repositories/e/ebuild/utils/dodoc
+++ b/paludis/repositories/e/ebuild/utils/dodoc
@@ -32,7 +32,7 @@ if [[ $# -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}"
+dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}"
if [[ ! -d "${dir}" ]]; then
install -d "${dir}" || paludis_die_or_error "could not create ${dir}"
fi
diff --git a/paludis/repositories/e/ebuild/utils/dohtml b/paludis/repositories/e/ebuild/utils/dohtml
index 6733e6e..a2f2dad 100755
--- a/paludis/repositories/e/ebuild/utils/dohtml
+++ b/paludis/repositories/e/ebuild/utils/dohtml
@@ -93,7 +93,7 @@ install_file() {
[[ -z ${DOCDESTTREE} ]] && DOCDESTTREE="html"
- dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
+ dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
if [[ -f ${path} ]]; then
ext="$(basename ${path})"
diff --git a/paludis/repositories/e/fetch_visitor.cc b/paludis/repositories/e/fetch_visitor.cc
index d048534..c8a60e3 100644
--- a/paludis/repositories/e/fetch_visitor.cc
+++ b/paludis/repositories/e/fetch_visitor.cc
@@ -202,12 +202,16 @@ FetchVisitor::visit_leaf(const FetchableURIDepSpec & u)
cmd
.with_setenv("P", stringify(_imp->id->name().package) + "-" +
stringify(_imp->id->version().remove_revision()))
+ .with_setenv("PNV", stringify(_imp->id->name().package) + "-" +
+ stringify(_imp->id->version().remove_revision()))
.with_setenv("PV", stringify(_imp->id->version().remove_revision()))
.with_setenv("PR", stringify(_imp->id->version().revision_only()))
.with_setenv("PN", stringify(_imp->id->name().package))
.with_setenv("PVR", stringify(_imp->id->version()))
.with_setenv("PF", stringify(_imp->id->name().package) + "-" +
stringify(_imp->id->version()))
+ .with_setenv("PNVR", stringify(_imp->id->name().package) + "-" +
+ stringify(_imp->id->version()))
.with_setenv("CATEGORY", stringify(_imp->id->name().category))
.with_setenv("REPOSITORY", stringify(_imp->id->repository()->name()))
.with_setenv("EAPI", stringify(_imp->eapi.name()))
diff --git a/paludis/repositories/e/vdb_merger.cc b/paludis/repositories/e/vdb_merger.cc
index 80a473d..0287c94 100644
--- a/paludis/repositories/e/vdb_merger.cc
+++ b/paludis/repositories/e/vdb_merger.cc
@@ -109,12 +109,14 @@ VDBMerger::extend_hook(const Hook & h)
return Merger::extend_hook(h)
("P", pn + "-" + pv)
+ ("PNV", pn + "-" + pv)
("PN", pn)
("CATEGORY", cat)
("PR", _imp->params.package_id()->version().revision_only())
("PV", pv)
("PVR", pvr)
("PF", pn + "-" + pvr)
+ ("PNVR", pn + "-" + pvr)
("SLOT", slot)
("CONFIG_PROTECT", _imp->params.config_protect())
("CONFIG_PROTECT_MASK", _imp->params.config_protect_mask())
diff --git a/paludis/repositories/e/vdb_unmerger.cc b/paludis/repositories/e/vdb_unmerger.cc
index bd40b20..af1e3b0 100644
--- a/paludis/repositories/e/vdb_unmerger.cc
+++ b/paludis/repositories/e/vdb_unmerger.cc
@@ -149,12 +149,14 @@ VDBUnmerger::extend_hook(const Hook & h) const
return result
("P", pn + "-" + pv)
+ ("PNV", pn + "-" + pv)
("PN", pn)
("CATEGORY", cat)
("PR", _imp->options.package_id()->version().revision_only())
("PV", pv)
("PVR", pvr)
("PF", pn + "-" + pvr)
+ ("PNVR", pn + "-" + pvr)
("SLOT", stringify(_imp->options.package_id()->slot()));
}